#ifndef SHARED_ACCESS_H
#define SHARED_ACCESS_H

#include "../global.h"

/* some programs will check to see if the user's SESSION.alias is set to 
** the following string to tell if they're running in 'capture' mode 
**/

#define ALIAS_CAPTURE_FLAG "***CAPTURE***"    /* can't be longer than MAX_NAME !*/

void get_access_rights(GROUP_TYPE group, int access, int *can_view, int *can_write);
void  get_username_access_rights(const char *username, CONFIG_STRUCT *conf, int *can_view, int *can_write);
int has_write_permission(SESSION *user, CONFIG_STRUCT *conf);
//const char *access_rights_string(int access);
void access_denied_error();
int user_capturing(SESSION *user);
#endif
